7.3b1 installation

Started by Jeff Davisover 23 years ago14 messagesgeneral
Jump to latest
#1Jeff Davis
pgsql@j-davis.com

I downloaded the 7.3b1 as soon as Marc said that he packaged it (I don't know
whether that is something that's encouraged or not; a developer might let me
know about that).

The configure script had a problem when I added "--with-java": it said "ant
doesn't work". I don't know a lot about java, so that could be a problem with
my configuration. I just removed that option and then continued. I think it
may have something to do with not being able to find the "build.xml" file.

I also encountered another error that said:
"./bin/psql: relocation error: ./bin/psql: undefined symbol:
pg_encoding_to_char", however I am unable to reproduce the error. It may have
had something to do with improperly shutting down the postmaster at some
point. I originally composed this email because of that error, but in the
process of creating a clean example with good analysis, the problem vanished
(after essentially deleting everything and starting over). I apologize for
not being able to provide more information about it, but perhaps it's
something worth looking into. If there is any more information I can provide
(hopefully that wasn't deleted in the process), let me know.

Thanks to all the developers for all their hard work!

Best Regards,
Jeff Davis

#2Tom Lane
tgl@sss.pgh.pa.us
In reply to: Jeff Davis (#1)
Re: 7.3b1 installation

Jeff Davis <list-pgsql-general@empires.org> writes:

The configure script had a problem when I added "--with-java": it said "ant
doesn't work". I don't know a lot about java, so that could be a problem with
my configuration.

IIRC we now require ant 1.5 to build JDBC. I would have thought you'd
get a more helpful message than that, though, if you have ant but it's
out of date. Do you have reason to think your ant should be working
(have you used it for anything else)?

I also encountered another error that said:
"./bin/psql: relocation error: ./bin/psql: undefined symbol:
pg_encoding_to_char", however I am unable to reproduce the error.

The usual cause of this sort of problem is psql trying to link to a
non-compatible libpq.so, specifically a non-multibyte-enabled libpq
when psql was compiled with multibyte enabled. I suppose that your
dynamic link path was such that a 7.2 libpq was being found, and that
the problem went away when you either fixed the link path or installed
the 7.3 libpq.so.

regards, tom lane

#3Bruce Momjian
bruce@momjian.us
In reply to: Tom Lane (#2)
Re: 7.3b1 installation

Tom Lane wrote:

Jeff Davis <list-pgsql-general@empires.org> writes:

The configure script had a problem when I added "--with-java": it said "ant
doesn't work". I don't know a lot about java, so that could be a problem with
my configuration.

IIRC we now require ant 1.5 to build JDBC. I would have thought you'd
get a more helpful message than that, though, if you have ant but it's
out of date. Do you have reason to think your ant should be working
(have you used it for anything else)?

Yep, he gets:

AC_MSG_ERROR([Ant version >= 1.5 is required to build Java components])

-- 
  Bruce Momjian                        |  http://candle.pha.pa.us
  pgman@candle.pha.pa.us               |  (610) 359-1001
  +  If your life is a hard drive,     |  13 Roberts Road
  +  Christ can be your backup.        |  Newtown Square, Pennsylvania 19073
#4Jeff Davis
pgsql@j-davis.com
In reply to: Tom Lane (#2)
Re: 7.3b1 installation

IIRC we now require ant 1.5 to build JDBC. I would have thought you'd
get a more helpful message than that, though, if you have ant but it's
out of date. Do you have reason to think your ant should be working
(have you used it for anything else)?

I have ant 1.5 already.
----
$ ant -version
Apache Ant version 1.5 compiled on July 11 2002
----
however, you're right, I don't know that it's working, because I don't really
use it. I do know, however, that it's installed from a debian package (from
"unstable"), so I consider that some reason to think that it's working. If
you want me to run a quick test case I will.

When I run "./configure --with-java" I get:
----
checking whether /usr/bin/ant works... no
configure: error: ant does not work
----

The usual cause of this sort of problem is psql trying to link to a
non-compatible libpq.so, specifically a non-multibyte-enabled libpq
when psql was compiled with multibyte enabled. I suppose that your
dynamic link path was such that a 7.2 libpq was being found, and that
the problem went away when you either fixed the link path or installed
the 7.3 libpq.so.

Yeah, I suppose I did something wrong the first time. I seem to remember going
through most of the same steps, however.

Regards,
Jeff

#5Bruce Momjian
bruce@momjian.us
In reply to: Jeff Davis (#4)
Re: 7.3b1 installation

Jeff Davis wrote:

IIRC we now require ant 1.5 to build JDBC. I would have thought you'd
get a more helpful message than that, though, if you have ant but it's
out of date. Do you have reason to think your ant should be working
(have you used it for anything else)?

I have ant 1.5 already.
----
$ ant -version
Apache Ant version 1.5 compiled on July 11 2002
----
however, you're right, I don't know that it's working, because I don't really
use it. I do know, however, that it's installed from a debian package (from
"unstable"), so I consider that some reason to think that it's working. If
you want me to run a quick test case I will.

When I run "./configure --with-java" I get:
----
checking whether /usr/bin/ant works... no
configure: error: ant does not work

Please add 'set -x' to the top of configure and see how the ant test is
being done and where it is failing.

-- 
  Bruce Momjian                        |  http://candle.pha.pa.us
  pgman@candle.pha.pa.us               |  (610) 359-1001
  +  If your life is a hard drive,     |  13 Roberts Road
  +  Christ can be your backup.        |  Newtown Square, Pennsylvania 19073
#6Tom Lane
tgl@sss.pgh.pa.us
In reply to: Jeff Davis (#4)
Re: 7.3b1 installation

Jeff Davis <list-pgsql-general@empires.org> writes:

I have ant 1.5 already.

When I run "./configure --with-java" I get:
----
checking whether /usr/bin/ant works... no
configure: error: ant does not work
----

Hmph. Well, the test that configure is running seems pretty
straightforward:

cat > conftest.java << EOF
public class conftest {
int testmethod(int a, int b) {
return a + b;
}
}
EOF

cat > conftest.xml << EOF
<project name="conftest" default="conftest">
<target name="conftest">
<javac srcdir="." includes="conftest.java">
</javac>
</target>
</project>
EOF

pgac_cmd='$ANT -buildfile conftest.xml 1>&2'
{ (eval echo "$as_me:$LINENO: \"$pgac_cmd\"") >&5
(eval $pgac_cmd) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }
pgac_save_status=$?
if test $? = 0 && test -f ./conftest.class ; then
pgac_cv_prog_ant_works=yes
else
echo "configure: failed java program was:" >&5
cat conftest.java >&5
echo "configure: failed build file was:" >&5
cat conftest.xml >&5
pgac_cv_prog_ant_works=no
fi

In English, that's creating conftest.java and conftest.xml and then
running "/usr/bin/ant -buildfile conftest.xml". If ant returns nonzero
exit status or doesn't create conftest.class, then it's considered
broken. What happens if you try the same thing by hand?

(Alternatively, look into the config.log to see what configure thought
happened.)

regards, tom lane

#7Jeff Davis
pgsql@j-davis.com
In reply to: Tom Lane (#6)
Re: 7.3b1 installation

Oh, I see. I found the problem. My environment variables appearently weren't
set right, so when it tested ant, it got an error with the java compiler, and
exited with nonzero. So, I guess technically ant was working fine, but the
java compiler wasn't. Thanks for the test case, Tom, and for the advice from
all who responded.

Regards,
Jeff Davis

Show quoted text

On Thursday 05 September 2002 01:20 pm, Tom Lane wrote:

Jeff Davis <list-pgsql-general@empires.org> writes:

I have ant 1.5 already.

When I run "./configure --with-java" I get:
----
checking whether /usr/bin/ant works... no
configure: error: ant does not work
----

Hmph. Well, the test that configure is running seems pretty
straightforward:

cat > conftest.java << EOF
public class conftest {
int testmethod(int a, int b) {
return a + b;
}
}
EOF

cat > conftest.xml << EOF
<project name="conftest" default="conftest">
<target name="conftest">
<javac srcdir="." includes="conftest.java">
</javac>
</target>
</project>
EOF

pgac_cmd='$ANT -buildfile conftest.xml 1>&2'
{ (eval echo "$as_me:$LINENO: \"$pgac_cmd\"") >&5
(eval $pgac_cmd) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }
pgac_save_status=$?
if test $? = 0 && test -f ./conftest.class ; then
pgac_cv_prog_ant_works=yes
else
echo "configure: failed java program was:" >&5
cat conftest.java >&5
echo "configure: failed build file was:" >&5
cat conftest.xml >&5
pgac_cv_prog_ant_works=no
fi

In English, that's creating conftest.java and conftest.xml and then
running "/usr/bin/ant -buildfile conftest.xml". If ant returns nonzero
exit status or doesn't create conftest.class, then it's considered
broken. What happens if you try the same thing by hand?

(Alternatively, look into the config.log to see what configure thought
happened.)

regards, tom lane

---------------------------(end of broadcast)---------------------------
TIP 3: if posting/reading through Usenet, please send an appropriate
subscribe-nomail command to majordomo@postgresql.org so that your
message can get through to the mailing list cleanly

#8Thomas O'Dowd
tom@nooper.com
In reply to: Jeff Davis (#7)
Re: 7.3b1 installation

Jeff,

I imagine that this was the variable JAVA_HOME? The current
configuration seems to assume that you have this set. The configure
script should probably check that this variable to be set to a directory
and ask the user to set this first instead of failing with the vague
message that Ant doesn't work.

Probably something like this...

if test ! -d "$JAVA_HOME" ; then
AC_MSG_ERROR([Set JAVA_HOME variable to build Java components])
fi

This could be done before the path test in configure.in?

Tom.

On Fri, 2002-09-06 at 05:52, Jeff Davis wrote:

Oh, I see. I found the problem. My environment variables appearently weren't
set right, so when it tested ant, it got an error with the java compiler, and
exited with nonzero. So, I guess technically ant was working fine, but the
java compiler wasn't. Thanks for the test case, Tom, and for the advice from
all who responded.

Regards,
Jeff Davis

On Thursday 05 September 2002 01:20 pm, Tom Lane wrote:

Jeff Davis <list-pgsql-general@empires.org> writes:

I have ant 1.5 already.

When I run "./configure --with-java" I get:
----
checking whether /usr/bin/ant works... no
configure: error: ant does not work
----

Hmph. Well, the test that configure is running seems pretty
straightforward:

cat > conftest.java << EOF
public class conftest {
int testmethod(int a, int b) {
return a + b;
}
}
EOF

cat > conftest.xml << EOF
<project name="conftest" default="conftest">
<target name="conftest">
<javac srcdir="." includes="conftest.java">
</javac>
</target>
</project>
EOF

pgac_cmd='$ANT -buildfile conftest.xml 1>&2'
{ (eval echo "$as_me:$LINENO: \"$pgac_cmd\"") >&5
(eval $pgac_cmd) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }
pgac_save_status=$?
if test $? = 0 && test -f ./conftest.class ; then
pgac_cv_prog_ant_works=yes
else
echo "configure: failed java program was:" >&5
cat conftest.java >&5
echo "configure: failed build file was:" >&5
cat conftest.xml >&5
pgac_cv_prog_ant_works=no
fi

In English, that's creating conftest.java and conftest.xml and then
running "/usr/bin/ant -buildfile conftest.xml". If ant returns nonzero
exit status or doesn't create conftest.class, then it's considered
broken. What happens if you try the same thing by hand?

(Alternatively, look into the config.log to see what configure thought
happened.)

regards, tom lane

---------------------------(end of broadcast)---------------------------
TIP 3: if posting/reading through Usenet, please send an appropriate
subscribe-nomail command to majordomo@postgresql.org so that your
message can get through to the mailing list cleanly

---------------------------(end of broadcast)---------------------------
TIP 4: Don't 'kill -9' the postmaster

--
Thomas O'Dowd. - Nooping - http://nooper.com
tom@nooper.com - Testing - http://nooper.co.jp/labs

#9philip johnson
philip.johnson@atempo.com
In reply to: Thomas O'Dowd (#8)
Re: 7.3b1 installation

where can I find the 7.3 b1 sources

-----Message d'origine-----
De : pgsql-general-owner@postgresql.org
[mailto:pgsql-general-owner@postgresql.org]De la part de Thomas O'Dowd
Envoy� : vendredi 6 septembre 2002 11:29
� : Jeff Davis
Cc : Tom Lane; pgsql-general@postgresql.org; Bruce Momjian
Objet : Re: [GENERAL] 7.3b1 installation

Jeff,

I imagine that this was the variable JAVA_HOME? The current
configuration seems to assume that you have this set. The configure
script should probably check that this variable to be set to a directory
and ask the user to set this first instead of failing with the vague
message that Ant doesn't work.

Probably something like this...

if test ! -d "$JAVA_HOME" ; then
AC_MSG_ERROR([Set JAVA_HOME variable to build Java components])
fi

This could be done before the path test in configure.in?

Tom.

On Fri, 2002-09-06 at 05:52, Jeff Davis wrote:

Oh, I see. I found the problem. My environment variables appearently

weren't

set right, so when it tested ant, it got an error with the java compiler,

and

exited with nonzero. So, I guess technically ant was working fine, but the
java compiler wasn't. Thanks for the test case, Tom, and for the advice

from

all who responded.

Regards,
Jeff Davis

On Thursday 05 September 2002 01:20 pm, Tom Lane wrote:

Jeff Davis <list-pgsql-general@empires.org> writes:

I have ant 1.5 already.

When I run "./configure --with-java" I get:
----
checking whether /usr/bin/ant works... no
configure: error: ant does not work
----

Hmph. Well, the test that configure is running seems pretty
straightforward:

cat > conftest.java << EOF
public class conftest {
int testmethod(int a, int b) {
return a + b;
}
}
EOF

cat > conftest.xml << EOF
<project name="conftest" default="conftest">
<target name="conftest">
<javac srcdir="." includes="conftest.java">
</javac>
</target>
</project>
EOF

pgac_cmd='$ANT -buildfile conftest.xml 1>&2'
{ (eval echo "$as_me:$LINENO: \"$pgac_cmd\"") >&5
(eval $pgac_cmd) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }
pgac_save_status=$?
if test $? = 0 && test -f ./conftest.class ; then
pgac_cv_prog_ant_works=yes
else
echo "configure: failed java program was:" >&5
cat conftest.java >&5
echo "configure: failed build file was:" >&5
cat conftest.xml >&5
pgac_cv_prog_ant_works=no
fi

In English, that's creating conftest.java and conftest.xml and then
running "/usr/bin/ant -buildfile conftest.xml". If ant returns nonzero
exit status or doesn't create conftest.class, then it's considered
broken. What happens if you try the same thing by hand?

(Alternatively, look into the config.log to see what configure thought
happened.)

regards, tom lane

---------------------------(end of broadcast)---------------------------
TIP 3: if posting/reading through Usenet, please send an appropriate
subscribe-nomail command to majordomo@postgresql.org so that your
message can get through to the mailing list cleanly

---------------------------(end of broadcast)---------------------------
TIP 4: Don't 'kill -9' the postmaster

--
Thomas O'Dowd. - Nooping - http://nooper.com
tom@nooper.com - Testing - http://nooper.co.jp/labs

---------------------------(end of broadcast)---------------------------
TIP 1: subscribe and unsubscribe commands go to majordomo@postgresql.org

#10Jeff Davis
pgsql@j-davis.com
In reply to: philip johnson (#9)
Re: 7.3b1 installation

You can find them at the address below, although the developers have not made
an announcement yet. This is a secret beta, appearently :) I'm joking, of
course, but I am still confused as to why it hasn't been announced.

ftp://ftp.postgresql.org/pub/source/v7.3beta/

Regards,
Jeff Davis

Show quoted text

On Friday 06 September 2002 02:46 am, philip johnson wrote:

where can I find the 7.3 b1 sources

-----Message d'origine-----
De : pgsql-general-owner@postgresql.org
[mailto:pgsql-general-owner@postgresql.org]De la part de Thomas O'Dowd
Envoy� : vendredi 6 septembre 2002 11:29
� : Jeff Davis
Cc : Tom Lane; pgsql-general@postgresql.org; Bruce Momjian
Objet : Re: [GENERAL] 7.3b1 installation

Jeff,

I imagine that this was the variable JAVA_HOME? The current
configuration seems to assume that you have this set. The configure
script should probably check that this variable to be set to a directory
and ask the user to set this first instead of failing with the vague
message that Ant doesn't work.

Probably something like this...

if test ! -d "$JAVA_HOME" ; then
AC_MSG_ERROR([Set JAVA_HOME variable to build Java components])
fi

This could be done before the path test in configure.in?

Tom.

On Fri, 2002-09-06 at 05:52, Jeff Davis wrote:

Oh, I see. I found the problem. My environment variables appearently

weren't

set right, so when it tested ant, it got an error with the java compiler,

and

exited with nonzero. So, I guess technically ant was working fine, but
the java compiler wasn't. Thanks for the test case, Tom, and for the
advice

from

all who responded.

Regards,
Jeff Davis

On Thursday 05 September 2002 01:20 pm, Tom Lane wrote:

Jeff Davis <list-pgsql-general@empires.org> writes:

I have ant 1.5 already.

When I run "./configure --with-java" I get:
----
checking whether /usr/bin/ant works... no
configure: error: ant does not work
----

Hmph. Well, the test that configure is running seems pretty
straightforward:

cat > conftest.java << EOF
public class conftest {
int testmethod(int a, int b) {
return a + b;
}
}
EOF

cat > conftest.xml << EOF
<project name="conftest" default="conftest">
<target name="conftest">
<javac srcdir="." includes="conftest.java">
</javac>
</target>
</project>
EOF

pgac_cmd='$ANT -buildfile conftest.xml 1>&2'
{ (eval echo "$as_me:$LINENO: \"$pgac_cmd\"") >&5
(eval $pgac_cmd) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }
pgac_save_status=$?
if test $? = 0 && test -f ./conftest.class ; then
pgac_cv_prog_ant_works=yes
else
echo "configure: failed java program was:" >&5
cat conftest.java >&5
echo "configure: failed build file was:" >&5
cat conftest.xml >&5
pgac_cv_prog_ant_works=no
fi

In English, that's creating conftest.java and conftest.xml and then
running "/usr/bin/ant -buildfile conftest.xml". If ant returns nonzero
exit status or doesn't create conftest.class, then it's considered
broken. What happens if you try the same thing by hand?

(Alternatively, look into the config.log to see what configure thought
happened.)

regards, tom lane

---------------------------(end of
broadcast)--------------------------- TIP 3: if posting/reading through
Usenet, please send an appropriate subscribe-nomail command to
majordomo@postgresql.org so that your message can get through to the
mailing list cleanly

---------------------------(end of broadcast)---------------------------
TIP 4: Don't 'kill -9' the postmaster

#11Jeff Davis
pgsql@j-davis.com
In reply to: Thomas O'Dowd (#8)
Re: 7.3b1 installation

Yes, JAVA_HOME is correct. A test as you mention would have made it easier for
me to determine the problem than "ant doesn't work". A minor problem, but
certainly worth testing for.

Thanks!

Regards,
Jeff Davis

Show quoted text

On Friday 06 September 2002 02:29 am, Thomas O'Dowd wrote:

Jeff,

I imagine that this was the variable JAVA_HOME? The current
configuration seems to assume that you have this set. The configure
script should probably check that this variable to be set to a directory
and ask the user to set this first instead of failing with the vague
message that Ant doesn't work.

Probably something like this...

if test ! -d "$JAVA_HOME" ; then
AC_MSG_ERROR([Set JAVA_HOME variable to build Java components])
fi

This could be done before the path test in configure.in?

Tom.

On Fri, 2002-09-06 at 05:52, Jeff Davis wrote:

Oh, I see. I found the problem. My environment variables appearently
weren't set right, so when it tested ant, it got an error with the java
compiler, and exited with nonzero. So, I guess technically ant was
working fine, but the java compiler wasn't. Thanks for the test case,
Tom, and for the advice from all who responded.

Regards,
Jeff Davis

On Thursday 05 September 2002 01:20 pm, Tom Lane wrote:

Jeff Davis <list-pgsql-general@empires.org> writes:

I have ant 1.5 already.

When I run "./configure --with-java" I get:
----
checking whether /usr/bin/ant works... no
configure: error: ant does not work
----

Hmph. Well, the test that configure is running seems pretty
straightforward:

cat > conftest.java << EOF
public class conftest {
int testmethod(int a, int b) {
return a + b;
}
}
EOF

cat > conftest.xml << EOF
<project name="conftest" default="conftest">
<target name="conftest">
<javac srcdir="." includes="conftest.java">
</javac>
</target>
</project>
EOF

pgac_cmd='$ANT -buildfile conftest.xml 1>&2'
{ (eval echo "$as_me:$LINENO: \"$pgac_cmd\"") >&5
(eval $pgac_cmd) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }
pgac_save_status=$?
if test $? = 0 && test -f ./conftest.class ; then
pgac_cv_prog_ant_works=yes
else
echo "configure: failed java program was:" >&5
cat conftest.java >&5
echo "configure: failed build file was:" >&5
cat conftest.xml >&5
pgac_cv_prog_ant_works=no
fi

In English, that's creating conftest.java and conftest.xml and then
running "/usr/bin/ant -buildfile conftest.xml". If ant returns nonzero
exit status or doesn't create conftest.class, then it's considered
broken. What happens if you try the same thing by hand?

(Alternatively, look into the config.log to see what configure thought
happened.)

regards, tom lane

---------------------------(end of
broadcast)--------------------------- TIP 3: if posting/reading through
Usenet, please send an appropriate subscribe-nomail command to
majordomo@postgresql.org so that your message can get through to the
mailing list cleanly

---------------------------(end of broadcast)---------------------------
TIP 4: Don't 'kill -9' the postmaster

#12Andrew Sullivan
andrew@libertyrms.info
In reply to: Jeff Davis (#10)
Re: 7.3b1 installation

On Fri, Sep 06, 2002 at 05:02:43AM -0700, Jeff Davis wrote:

an announcement yet. This is a secret beta, appearently :) I'm joking, of
course, but I am still confused as to why it hasn't been announced.

IIRC, the mail on -hackers yesterday said that they'd announce it
after a small set of people tried it out to make sure the package
wasn't actually broken. (I note that the main package builds fine on
Solaris 7, gcc 2.96, among other reports of success, but that someone
has reported that building contrib/ dies at earthdistance.)

A

-- 
----
Andrew Sullivan                         204-4141 Yonge Street
Liberty RMS                           Toronto, Ontario Canada
<andrew@libertyrms.info>                              M2P 2A8
                                         +1 416 646 3304 x110
#13Tom Lane
tgl@sss.pgh.pa.us
In reply to: Andrew Sullivan (#12)
Re: 7.3b1 installation

Andrew Sullivan <andrew@libertyrms.info> writes:

... I note that the main package builds fine on
Solaris 7, gcc 2.96, among other reports of success, but that someone
has reported that building contrib/ dies at earthdistance.

contrib seems to have had quite a number of bugs as of the time of
beta1 release. I fixed several yesterday and IIRC Peter got some too.
If you want to do anything with contrib I'd advise pulling it from CVS
or a nightly snapshot (see pub/dev/ on the ftp sites for nightly
snapshot tarballs).

regards, tom lane

#14Bruce Momjian
bruce@momjian.us
In reply to: Jeff Davis (#11)
Re: 7.3b1 installation

OK, patch applied to test JAVA_HOME and throw appropriate error before
searching for Ant. Autoconf run.

---------------------------------------------------------------------------

Jeff Davis wrote:

Yes, JAVA_HOME is correct. A test as you mention would have made it easier for
me to determine the problem than "ant doesn't work". A minor problem, but
certainly worth testing for.

Thanks!

Regards,
Jeff Davis

On Friday 06 September 2002 02:29 am, Thomas O'Dowd wrote:

Jeff,

I imagine that this was the variable JAVA_HOME? The current
configuration seems to assume that you have this set. The configure
script should probably check that this variable to be set to a directory
and ask the user to set this first instead of failing with the vague
message that Ant doesn't work.

Probably something like this...

if test ! -d "$JAVA_HOME" ; then
AC_MSG_ERROR([Set JAVA_HOME variable to build Java components])
fi

This could be done before the path test in configure.in?

Tom.

On Fri, 2002-09-06 at 05:52, Jeff Davis wrote:

Oh, I see. I found the problem. My environment variables appearently
weren't set right, so when it tested ant, it got an error with the java
compiler, and exited with nonzero. So, I guess technically ant was
working fine, but the java compiler wasn't. Thanks for the test case,
Tom, and for the advice from all who responded.

Regards,
Jeff Davis

On Thursday 05 September 2002 01:20 pm, Tom Lane wrote:

Jeff Davis <list-pgsql-general@empires.org> writes:

I have ant 1.5 already.

When I run "./configure --with-java" I get:
----
checking whether /usr/bin/ant works... no
configure: error: ant does not work
----

Hmph. Well, the test that configure is running seems pretty
straightforward:

cat > conftest.java << EOF
public class conftest {
int testmethod(int a, int b) {
return a + b;
}
}
EOF

cat > conftest.xml << EOF
<project name="conftest" default="conftest">
<target name="conftest">
<javac srcdir="." includes="conftest.java">
</javac>
</target>
</project>
EOF

pgac_cmd='$ANT -buildfile conftest.xml 1>&2'
{ (eval echo "$as_me:$LINENO: \"$pgac_cmd\"") >&5
(eval $pgac_cmd) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }
pgac_save_status=$?
if test $? = 0 && test -f ./conftest.class ; then
pgac_cv_prog_ant_works=yes
else
echo "configure: failed java program was:" >&5
cat conftest.java >&5
echo "configure: failed build file was:" >&5
cat conftest.xml >&5
pgac_cv_prog_ant_works=no
fi

In English, that's creating conftest.java and conftest.xml and then
running "/usr/bin/ant -buildfile conftest.xml". If ant returns nonzero
exit status or doesn't create conftest.class, then it's considered
broken. What happens if you try the same thing by hand?

(Alternatively, look into the config.log to see what configure thought
happened.)

regards, tom lane

---------------------------(end of
broadcast)--------------------------- TIP 3: if posting/reading through
Usenet, please send an appropriate subscribe-nomail command to
majordomo@postgresql.org so that your message can get through to the
mailing list cleanly

---------------------------(end of broadcast)---------------------------
TIP 4: Don't 'kill -9' the postmaster

---------------------------(end of broadcast)---------------------------
TIP 3: if posting/reading through Usenet, please send an appropriate
subscribe-nomail command to majordomo@postgresql.org so that your
message can get through to the mailing list cleanly

-- 
  Bruce Momjian                        |  http://candle.pha.pa.us
  pgman@candle.pha.pa.us               |  (610) 359-1001
  +  If your life is a hard drive,     |  13 Roberts Road
  +  Christ can be your backup.        |  Newtown Square, Pennsylvania 19073

Attachments:

/bjm/difftext/plainDownload+3-0